class_name BattleItem extends BattleAction

var stack:ItemStack

func _init(params:Dictionary) -> void:
  super(params)
  assert(params.has("stack"))
  self.stack = params.get("stack")

func perform(params:Dictionary) -> void:
  super.perform(params)

  var user:BattleFighter = params.get("user")
  var targets:Array[BattleFighter] = params.get("targets")